Load Pulse Gate
curl --request POST \
--url https://statsigapi.net/console/v1/gates/{id}/load_pulse \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"ruleId": "<string>",
"refresh": "full",
"metricIDs": [
"<string>"
],
"turboMode": true
}
'import requests
url = "https://statsigapi.net/console/v1/gates/{id}/load_pulse"
payload = {
"ruleId": "<string>",
"refresh": "full",
"metricIDs": ["<string>"],
"turboMode": True
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ruleId: '<string>', refresh: 'full', metricIDs: ['<string>'], turboMode: true})
};
fetch('https://statsigapi.net/console/v1/gates/{id}/load_pulse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Gate loaded successfully."
}Gates
Load Pulse Gate
POST
/
console
/
v1
/
gates
/
{id}
/
load_pulse
Load Pulse Gate
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Body
application/json
Response
200 - application/json
Load Pulse Gate Response
⌘I

